#
# spec file for package ghc-extra
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name extra
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.4.10
Release:        8.12
Summary:        Extra functions I use
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unix-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
%endif

%description
A library of extra functions for the standard Haskell libraries. Most functions
are simple additions, filling out missing functionality. A few functions are
available in later versions of GHC, but this package makes them available back
to GHC 7.2.

The module "Extra" documents all functions provided by this library.
Modules such as "Data.List.Extra" provide extra functions over "Data.List" and
also reexport "Data.List". Users are recommended to replace "Data.List" imports
with "Data.List.Extra" if they need the extra functionality.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGES.txt README.md

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.4.10 revision 0 with cabal2obs.
* Thu Jun 16 2016 mimi.vx@gmail.com
- update to 1.4.10
  * Add Data.Typeable.Extra containing typeRep, Proxy, (:~:)
* Thu Jun  2 2016 mimi.vx@gmail.com
- update to 1.4.9
  * add line1
* Mon May 30 2016 mimi.vx@gmail.com
- update to 1.4.8
  * Add displayException
* Mon May 23 2016 mimi.vx@gmail.com
- update to 1.4.7
  * add concatForM
* Thu May 12 2016 mimi.vx@gmail.com
- update to 1.4.6
  * add maybeM and eitherM
* Sat Apr 30 2016 mimi.vx@gmail.com
- update to 1.4.5
  * change fileEq on files that do not exist to be an error
  * add mconcatMap and mconcatMapM
  * add fileEq
  * add isMac
* Fri Jan  8 2016 mimi.vx@gmail.com
- update to 1.4.3
  * Add Data.Version.Extra
* Sun Sep 20 2015 mimi.vx@gmail.com
- update to 1.4.2
  * Make concatMapM/mapMaybeM faster
* Fri Aug  7 2015 mimi.vx@gmail.com
- update to 1.4.1
  * Make temp file functions workaround GHC bug #10731
  * Add retryBool
  * Add stripInfix and stripInfixEnd
  * support directory-1.2.3
  * Add whenJustM
  * Add errorIO
  * Add onceFork
  * Make once async exception safe
  * Fix a deadlock in once when two people request in parallel
  * Fix a missing hClose in captureOutput
* Sat Apr 25 2015 mimi.vx@gmail.com
- version bump to 1.1
  * add nubOrd, nubOrdOn, nubOrdBy
  * add groupSortOn and groupSortBy
  * add splitAtEnd
* Sun Feb  1 2015 mimi.vx@gmail.com
- version bump to 1.0.1
    + Make listFilesAvoid drop trailing path separators before testing
    + #3, add a constraint base >= 4.4
* Sat Nov 15 2014 mimi.vx@gmail.com
- initial commit of extra package
